Index: res_config_mysql.c
===================================================================
--- res_config_mysql.c	(revision 436)
+++ res_config_mysql.c	(working copy)
@@ -169,12 +169,12 @@
 				for (stringp = ast_strdupa(row[i]), chunk = strsep(&stringp, ";"); chunk; chunk = strsep(&stringp, ";")) {
 					if (chunk && !ast_strlen_zero(ast_strip(chunk))) {
 						if (prev) {
-							prev->next = ast_variable_new(fields[i].name, chunk);
+							prev->next = ast_variable_new(fields[i].name, chunk, "");
 							if (prev->next) {
 								prev = prev->next;
 							}
 						} else {
-							prev = var = ast_variable_new(fields[i].name, chunk);
+							prev = var = ast_variable_new(fields[i].name, chunk, "");
 						}
 					}
 				}
@@ -286,7 +286,7 @@
 
 		while ((row = mysql_fetch_row(result))) {
 			var = NULL;
-			cat = ast_category_new("");
+			cat = ast_category_new("", "", 99999);
 			if (!cat) {
 				ast_log(LOG_WARNING, "Out of memory!\n");
 				continue;
@@ -299,7 +299,7 @@
 						if (initfield && !strcmp(initfield, fields[i].name)) {
 							ast_category_rename(cat, chunk);
 						}
-						var = ast_variable_new(fields[i].name, chunk);
+						var = ast_variable_new(fields[i].name, chunk, "");
 						ast_variable_append(cat, var);
 					}
 				}
@@ -581,7 +581,7 @@
 
 		while ((row = mysql_fetch_row(result))) {
 			if (!strcmp(row[1], "#include")) {
-				if (!ast_config_internal_load(row[2], cfg, config_flags)) {
+				if (!ast_config_internal_load(row[2], cfg, config_flags, "")) {
 					mysql_free_result(result);
 					ast_mutex_unlock(&dbread.lock);
 					ast_config_destroy(cfg);
@@ -591,7 +591,7 @@
 			}
 
 			if (strcmp(last, row[0]) || last_cat_metric != atoi(row[3])) {
-				cur_cat = ast_category_new(row[0]);
+				cur_cat = ast_category_new(row[0], "", 99999);
 				if (!cur_cat) {
 					ast_log(LOG_WARNING, "Out of memory!\n");
 					break;
@@ -600,7 +600,7 @@
 				last_cat_metric = atoi(row[3]);
 				ast_category_append(cfg, cur_cat);
 			}
-			new_v = ast_variable_new(row[1], row[2]);
+			new_v = ast_variable_new(row[1], row[2], "");
 			if (cur_cat)
 				ast_variable_append(cur_cat, new_v);
 		}
